View Issue Details

IDProjectCategoryView StatusLast Update
0004277SymmetricDSBugpublic2020-08-26 10:32
Reporterpmarzullo Assigned Topmarzullo  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.9 
Target Version3.10.10Fixed in Version3.10.10 
Summary0004277: Adding node to instance without registration server does not have access to all node groups
DescriptionWhen adding a node to a SymmetricDS instance where the registration server is not hosted, the list of node groups that can be associated with the new node is limited by the engine that you are currently connected to.

The list of node groups returned for the drop down list is restricted to the list of node groups that the current engine's node group can synchronize with, as specified by the node_group_links.

Should be able to select any node group configured by the registration server.
Additional InformationSolution is to allow the specification of the correct registration server.
The add node will be changed to always show the registration URL screen, and the text field becomes an editable drop down field.

Also add the ability to specify a new node hosted by the current instance of SymmetricDS via the engine drop down in the upper right corner.
Tagsconfiguration

Relationships

related to 0004278 closedpmarzullo SymmetricDS Adding node to instance without registration server does not have access to all node groups 
related to 0003289 acknowledged SymmetricDS Pro Groups are incorrectly filtered out on Add Node wizard when group link is single direction 

Activities

pmarzullo

2020-02-13 10:44

developer   ~0001688

Removing the ability to add a node from the right corner dropdown of engines.
Also removing the connectivity check to the registration URL if the URL is blank.

Issue History

Date Modified Username Field Change
2020-02-06 11:47 pmarzullo New Issue
2020-02-06 11:47 pmarzullo Status new => assigned
2020-02-06 11:47 pmarzullo Assigned To => pmarzullo
2020-02-06 11:47 pmarzullo Tag Attached: configuration
2020-02-06 11:50 pmarzullo Relationship added related to 0004278
2020-02-06 13:15 pmarzullo Status assigned => resolved
2020-02-06 13:15 pmarzullo Resolution open => fixed
2020-02-06 13:15 pmarzullo Fixed in Version => 3.10.10
2020-02-13 10:44 pmarzullo Note Added: 0001688
2020-02-14 12:44 elong Status resolved => closed
2020-08-26 10:32 pmarzullo Relationship added related to 0003289